Bug 153020 - [patch] devel/pecl-intl - New License - PHP Version deps
Summary: [patch] devel/pecl-intl - New License - PHP Version deps
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-11 16:20 UTC by Tom Judge
Modified: 2011-01-03 17:50 UTC (History)
0 users

See Also:


Attachments
devel-pecl-intl.txt (455 bytes, text/plain)
2010-12-11 16:20 UTC, Tom Judge
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Judge 2010-12-11 16:20:09 UTC
The attached patch addresses the following issues:

* Add LICENSE=PHP301 - http://pecl.php.net/package/intl
* Add IGNORE_WITH_PHP=4 52 as this requires php 5.2.4 or newer and has a compile issue on 5.2.

Tinderbox Logs:

PHP 4
	N/A
PHP 5.2
	http://tinderbox.tomjudge.com/tb/errors/8.1-PECL-5.2-amd64/pecl-intl-1.1.2.log
PHP 5.3
	http://tinderbox.tomjudge.com/tb/logs/8.1-PECL-5.3-amd64/pecl-intl-1.1.2.log
Comment 1 Edwin Groothuis freebsd_committer 2010-12-11 16:20:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-12-20 07:14:33 UTC
miwi        2010-12-20 07:14:29 UTC

  FreeBSD ports repository

  Modified files:
    devel/pecl-intl      Makefile 
  Log:
  * Add LICENSE
  * Add IGNORE_WITH_PHP=4 52 as this requires php 5.2.4 or newer and has a compile issue on 5.2.
  
  PR:             153020
  Submitted by:   "Tom Judge" <tom@tomjudge.com>
  
  Revision  Changes    Path
  1.10      +3 -0      ports/devel/pecl-intl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2010-12-20 07:14:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 russ 2010-12-23 00:42:14 UTC
Still doesn't build on FreeBSD 7.3-STABLE with PHP 5.2.16 (current php52)

 

PHP 5.2.16 with Suhosin-Patch 0.9.7 (cli) (built: Dec 18 2010 10:57:02)

Copyright (c) 1997-2009 The PHP Group

Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies

 

Thanks,

 

Russ

 
Comment 5 russ 2010-12-23 00:45:34 UTC
Still doesn't build on FreeBSD 7.3-STABLE with PHP 5.2.16 (current php52)

 

PHP 5.2.16 with Suhosin-Patch 0.9.7 (cli) (built: Dec 18 2010 10:57:02)

Copyright (c) 1997-2009 The PHP Group

Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies

 

===>  pecl-intl-1.1.2_2 cannot install: doesn't work with PHP version : 52
(Doesn't support PHP 4 52).

*** Error code 1

 

Thanks,

 

Russ

 
Comment 6 Tom Judge 2011-01-03 17:30:01 UTC
Hi Russ,

This port is broken with PHP 5.2 (at lease on FreeBSD 8).

If you want to try to build it on 7 you will need to remove the 52 from
the IGNORE_WITH_PHP= line in the Makefile.

Please build the port under script(1) and follow up with the log (with
.txt as the extension).

If this builds ok I will update the patch to allow it to build with php
5.2 on FreeBSD 7.X.

Tom


On 12/22/2010 06:42 PM, Russ Coleman wrote:
> Still doesnt build on FreeBSD 7.3-STABLE with PHP 5.2.16 (current php52)
> 
>  
> 
> PHP 5.2.16 with Suhosin-Patch 0.9.7 (cli) (built: Dec 18 2010 10:57:02)
> 
> Copyright (c) 1997-2009 The PHP Group
> 
> Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
> 
>  
> 
> Thanks,
> 
>  
> 
> Russ
> 
>  
> 


-- 
TJU13-ARIN